<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});		
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
				$("#t_tglaw_bt").val(data.tanggal);
				$("#t_tglak_bt").val(data.tanggal);
                $("#rp_tglawal").val(data.tanggal);
				$("#rp_tglakhir").val(data.tanggal);
			}
		});
	}
	
	$("#cari_tgl").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var cari = $("#caribbm").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").load('modul/terima_bbm/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	});
	
	$("#caribbm").keyup(function(){
		cari_bbm();
	});
	
	function cari_bbm(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var cari = $("#caribbm").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").load('modul/terima_bbm/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	}
	
	$("#cetak").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var cari = $("#caribbm").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		window.location.href='modul/laporan/daftar_pnbbm.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_bt").click(function(){
		var tgl_awal = $("#t_tglaw_bt").val();
		var tgl_akhir = $("#t_tglak_bt").val();
		var cari = $("#caribbm_bt").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglaw_bt").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglak_bt").focus();
			return false;
		}
		$("#tampil_data_bt").load('spv/terima_bbm/tampil_data_bt.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	});
	
	$("#caribbm_bt").keyup(function(){
		cari_bbm_bt();
	});
	
	function cari_bbm_bt(){
		var tgl_awal = $("#t_tglaw_bt").val();
		var tgl_akhir = $("#t_tglak_bt").val();
		var cari = $("#caribbm_bt").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglaw_bt").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglak_bt").focus();
			return false;
		}
		$("#tampil_data_bt").load('spv/terima_bbm/tampil_data_bt.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	}
	
	$("#tutup_bt").click(function(){
		document.location='?module=home';
	});
	
	$("#posting").click(function(){
		var tglawal    = $("#rp_tglawal").val();
		var tglakhir   = $("#rp_tglakhir").val();
		
		var pilih = confirm('Posting ulang penerimaan BBM tanggal '+tglawal+' '+tglakhir+' ?');
		
		if(pilih==true){
			$.ajax({
				type: "POST",
				url	: "spv/terima_bbm/reposting.php",
				data: "tglawal="+tglawal+
					"&tglakhir="+tglakhir,
				success	: function(data){
					$("#info").html(data);
				}
			});
		}
	});
	
	$("#tutup_rp").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >	       
	       <li><a href='#data'>DAFTAR PENERIMAAN BBM</a></li>
		   <li><a href='#batal'>BATAL PENERIMAAN BBM</a></li>
		   <li><a href='#reposting'>POSTING ULANG PENEBUSAN DO</a></li>
      </ul>";
	  
echo "<div id='data'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td>Penebusan tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> Sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>
						<button name='cari_tgl' id='cari_tgl'>Cari</button>
						<button name='cetak' id='cetak'>Cetak</button>
						<button name='tutup' id='tutup'>Tutup</button>
					</td>
					<td>Cari BBM : <input type='text' name='caribbm' id='caribbm' size='30'></td>
				</tr>
				</table>
			</div>
			
			<div id='tampil_data' align='center'></div>
		</div>";
		
echo "<div id='batal'>
		<div id='pencarian_bt'>
				<table width='100%'>
				<tr>
					<td>Penebusan tanggal : <input type='date' name='t_tglaw_bt' id='t_tglaw_bt' size='10'> Sampai dengan <input type='date' name='t_tglak_bt' id='t_tglak_bt' size='10'></td>
					<td>
						<button name='cari_bt' id='cari_bt'>Cari</button>						
						<button name='tutup_bt' id='tutup_bt'>Tutup</button>
					</td>
					<td>Cari BBM : <input type='text' name='caribbm_bt' id='caribbm_bt' size='30'></td>
				</tr>
				</table>
			</div>
			
			<div id='tampil_data_bt' align='center'></div>
	</div>";
	
echo "<div id='reposting'>
	<div id='pencarian_rp'>
		<fieldset>
			<legend>Posting Ulang Penerimaan BBM</legend>
			<table width='100%'>
			    <tr>
				    <td>Setoran tanggal : <input type='date' id='rp_tglawal' size='10'> sampai dengan <input type='date' id='rp_tglakhir' size='10'></td>				
				    <td>
					    <button id='posting'>Posting</button>
    					<button id='tutup_rp'>Tutup</button>
	    			</td>
		    	</tr>				
			</table>
		</fieldset>
		</div>
	</div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>
